@model FERZid.Models.UlogaOsobeViewModel

@{
    ViewData["Title"] = "Uloge osoba";
}

<h2>Uloge osoba</h2>
<hr />
<p>
    <a style="margin-bottom:20px" class="btn btn-success btn" asp-action="Create" title="Dodaj ulogu osobe"><span class="glyphicon glyphicon-plus"></span>Dodaj ulogu osobe</a>
</p>
<br />

@using (Html.BeginForm("Index", "UlogaOsobe", FormMethod.Get))
{
    <p align="right">
        Osoba:  <select asp-for="osoba" asp-items="Model.osobe">
            <option value="">All</option>
        </select>
    </p>


        <p align="right">
            Sadržaj:  <select asp-for="sadrzaj" asp-items="Model.sadrzaji">
                <option value="">All</option>
            </select>
        </p>

        <p align="right">
            Vrsta uloge:  <select asp-for="vrstaUloge" asp-items="Model.vrsteUloga">
                <option value="">All</option>
            </select>
        </p>

        <p align="right">
            <input type="submit" value="Search" />
        </p>
}


<hr />




<table class="table table-striped" >
    <thead>
        <tr>
            <th>
                @Html.ActionLink("Osoba", "Index", new { sortOrder = ViewBag.osobaSortParam, currentOsoba = ViewBag.CurrentOsoba, currentSadrzaj = ViewBag.CurrentSadrzaj, currentVrstaUloge = ViewBag.CurrentVrstaUloge })
            </th>
            <th>
                @Html.ActionLink("Sadržaj", "Index", new { sortOrder = ViewBag.sadrzajSortParam, currentOsoba = ViewBag.CurrentOsoba, currentSadrzaj = ViewBag.CurrentSadrzaj, currentVrstaUloge = ViewBag.CurrentVrstaUloge })
            </th>
            <th>
                @Html.ActionLink("Vrsta uloge", "Index", new { sortOrder = ViewBag.vrstaUlogeSortParam, currentOsoba = ViewBag.CurrentOsoba, currentSadrzaj = ViewBag.CurrentSadrzaj, currentVrstaUloge = ViewBag.CurrentVrstaUloge })
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model.ulogeOsoba)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.IdosobeNavigation.Ime) @Html.DisplayFor(modelItem => item.IdosobeNavigation.Prezime)
                </td>
                <td>
                   @Html.DisplayFor(modelItem => item.IdsadržajaNavigation.Naziv) 
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.IdvrsteUlogeNavigation.Naziv)
                </td>
                <td>
                    <div class="btn-group">
                        <button class="btn btn-default">
                            <a asp-action="Edit" asp-route-id="@item.IdulogeOsobe" asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentOsoba="@ViewBag.CurrentOsoba" asp-route-currentSadrzaj="@ViewBag.CurrentSadrzaj" asp-route-currentVrstaUloge="@ViewBag.CurrentVrstaUloge">
                                <span class="glyphicon glyphicon-pencil"></span>
                            </a>
                        </button>
                        <button class="btn btn-default">
                            <a asp-action="Details" asp-route-id="@item.IdulogeOsobe" asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentOsoba="@ViewBag.CurrentOsoba" asp-route-currentSadrzaj="@ViewBag.CurrentSadrzaj" asp-route-currentVrstaUloge="@ViewBag.CurrentVrstaUloge">
                                <span class="glyphicon glyphicon-zoom-in"></span>
                            </a>
                        </button>
                        <button class="btn btn-default">
                            <a asp-action="Delete" asp-route-id="@item.IdulogeOsobe" asp-route-page="@ViewBag.Page" asp-route-sortOrder="@ViewBag.CurrentSort" asp-route-currentOsoba="@ViewBag.CurrentOsoba" asp-route-currentSadrzaj="@ViewBag.CurrentSadrzaj" asp-route-currentVrstaUloge="@ViewBag.CurrentVrstaUloge" onclick="return confirm('Are you sure you want to delete the record with id = @item.IdulogeOsobe')">
                                <span class="glyphicon glyphicon-trash"></span>
                            </a>
                        </button>
                    </div>
                </td>
            </tr>
        }
    </tbody>
</table>

@section styles {
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.13/css/jquery.dataTables.min.css" />
}

@section scripts {
    <script src="https://cdn.datatables.net/1.10.13/js/jquery.dataTables.min.js"></script>
    
}


@if (ViewBag.Page > 0)
{
    <a href="@Url.Action("Index", new { page = ViewBag.Page - 1,sortOrder = ViewBag.CurrentSort, currentOsoba = ViewBag.CurrentOsoba, currentSadrzaj = ViewBag.CurrentSadrzaj, currentVrstaUloge = ViewBag.CurrentVrstaUloge })"
       class="btn btn-default">
        &laquo; Prev
    </a>
}
@if (ViewBag.Page < ViewBag.MaxPage)
{
    <a href="@Url.Action("Index", new { page = ViewBag.Page + 1,sortOrder = ViewBag.CurrentSort, currentOsoba = ViewBag.CurrentOsoba, currentSadrzaj = ViewBag.CurrentSadrzaj, currentVrstaUloge = ViewBag.CurrentVrstaUloge })"
       class="btn btn-default">
        Next &raquo;
    </a>
}
<hr />
@for (int i = 0; i <= ViewBag.MaxPage; i++)
{
    int j = i + 1;

    @if (ViewBag.Page == @i)
    {
        <ul class="pagination">
            <li>@Html.ActionLink(@j.ToString(), "Index", "UlogaOsobe", new { page = @i, sortOrder = ViewBag.CurrentSort, currentOsoba = ViewBag.CurrentOsoba, currentSadrzaj = ViewBag.CurrentSadrzaj, currentVrstaUloge = ViewBag.CurrentVrstaUloge }, new { @style = "color:green;font-weight:bold;" })</li>
        </ul>
    }

    @if (ViewBag.Page != @i)
    {
        <ul class="pagination">
            <li>@Html.ActionLink(@j.ToString(), "Index", "UlogaOsobe", new { page = @i, sortOrder = ViewBag.CurrentSort, currentOsoba = ViewBag.CurrentOsoba, currentSadrzaj = ViewBag.CurrentSadrzaj, currentVrstaUloge = ViewBag.CurrentVrstaUloge }, null)</li>
        </ul>
    }

}